Skip to main content
POST
/
accounts
Create an account
curl --request POST \
  --url https://api-dev.paygen.online/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ownerType": "business",
  "name": "USD Wallet",
  "type": "checking",
  "category": "fiat",
  "currency": "USD"
}
'
{
  "statusCode": 123,
  "message": "<string>",
  "data": {
    "_id": "<string>",
    "ownerType": "<string>",
    "ownerId": "<string>",
    "client": "<string>",
    "name": "<string>",
    "type": "<string>",
    "category": "<string>",
    "status": "<string>",
    "currency": "<string>",
    "network": "<string>",
    "balance": 123,
    "canDebit": true,
    "canCredit": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
ownerType
enum<string>
required
Available options:
user,
business,
system,
provider
client
string
required
name
string
required
type
enum<string>
required
Available options:
savings,
treasury,
checking,
credit
category
enum<string>
required
Available options:
fiat,
crypto
currency
string
required
ownerId
string
status
enum<string>
Available options:
active,
inactive,
suspended,
closed
network
string
balance
number
canDebit
boolean
canCredit
boolean

Response

201 - application/json

Account created successfully.

statusCode
integer
required
message
string
required
data
object